%global debug_package %{nil}
%global git_commit 5d3c7a4574fafe0bc5fbed9e7e33483889832fd4


Name:           inv_sig_helper
Version:        0.2.0
Release:        5+%{git_commit}%{?dist}
Summary:        A service that decrypts YouTube signatures and manages player information.
License:        AGPL-3.0
URL:            https://github.com/iv-org/inv_sig_helper
Source0:        https://github.com/iv-org/inv_sig_helper/archive/%{git_commit}.tar.gz
Source1:        %{name}.service


ExclusiveArch: x86_64


BuildRequires:  cargo
BuildRequires:  openssl-devel
BuildRequires:  pkg-config
BuildRequires:  systemd-rpm-macros


%{?systemd_requires}


%description
A service that decrypts YouTube signatures and manages player information. It offers a TCP/Unix socket interface for signature decryption and related operations.


%prep
%autosetup -n %{name}-%{git_commit}


%build
RUSTFLAGS="-A warnings" cargo build --release


%install
install -D target/release/inv_sig_helper_rust %{buildroot}%{_libexecdir}/inv_sig_helper_rust
install -D --mode=0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service


%files
%doc README.md
%{_libexecdir}/inv_sig_helper_rust
%{_unitdir}/%{name}.service


%pre
%sysusers_create_compat %{SOURCE1}


%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%postun
%systemd_postun_with_restart %{name}.service


%changelog
%autochangelog
